Помогите выбрать версию опенкарт 1.5.5.1.2 или 2.Х.Х.Х

Тема в разделе "OpenCart", создана пользователем Максим1983, 23 май 2016.

  1. Максим1983

    Максим1983

    Регистрация:
    23 май 2016
    Сообщения:
    7
    Симпатии:
    0
    Магазин сейчас в начальной стадии разработки на какой версии посоветуете остановится сейчас 1.5.5.1.2 стоит ли продолжать создавать магазин или сразу стартовать с версий 2.Х.Х.Х
    Заранее Спасибо всем за совет
     
  2. MGT1

    MGT1

    Регистрация:
    5 янв 2013
    Сообщения:
    617
    Симпатии:
    182
    1. 1.5.5.1.2 оксторе а не опенкарт.
    2. Я пока остаюсь верен 1.5.6.4 - с ней пока проще.
     
  3. Dotrox

    Dotrox Команда форума

    Регистрация:
    27 ноя 2012
    Сообщения:
    2.049
    Симпатии:
    777
    Сейчас с выбором совсем туго: двойка ещё по прежнему сырая, а 1.5 уже не сильно перспективен. Ну, и если брать именно ocStore, то двойка есть только в виде 2.1 при актуальной 2.2 и частично сломанной обратной совместимости между 2.2 и 2.1.

    В общем, если уже начали на 1.5 делать, то лучше на нём и продолжить. Тем более, что каких-то критических преимуществ у двойки пока нет.
     
  4. skiv14

    skiv14

    Регистрация:
    9 июн 2015
    Сообщения:
    412
    Симпатии:
    159
    У двойки есть главное преимущество - под неё делают новые модули.
    У полторашки - куча модулей уже сделаны и лежат. Но старые.

    Взять тот же шаблон манимэйкер. Сделали версию 2 под двушку и все усилия тратят на доведение второй версии. На версию для полторашки забили и только тех.поддержку оказывают и то в свободное время.
     
  5. Максим1983

    Максим1983

    Регистрация:
    23 май 2016
    Сообщения:
    7
    Симпатии:
    0
    Вопрос так ли хорош манимэйкер ? тоже рассматриваю его использование?
     
  6. Dotrox

    Dotrox Команда форума

    Регистрация:
    27 ноя 2012
    Сообщения:
    2.049
    Симпатии:
    777
    То же самое скоро будет с модулями/шаблонами под как минимум 2.0 и 2.1 (особенно 2.0, который, по сути, - это изуродованный 1.5). Там сейчас всё слишком активно меняется, поддерживать такой зоопарк нецелесообразно.
     
  7. skiv14

    skiv14

    Регистрация:
    9 июн 2015
    Сообщения:
    412
    Симпатии:
    159
    Максим1983, в принципе, хороший. Но есть одно но.
    Если ставишь модуль - он может некорректно работать, т.к. в манимэйкере уже накручено модулей. Вот это проблема, лучше уж чистый ставить или OcStore 1.5.5.2
    Но чистый надо ещё доводить до ума в плане внешнего вида. А вот в этом я не силён.

    ps если буду новый сайт делать - буду смотреть шаблоны, которые затрагивают только оформление и всё.

    Dotrox, да, ты как всегда прав, нечего добавить. Но на данный момент двойка перспективнее. Пока не появится тройка или типа того.
     
  8. Максим1983

    Максим1983

    Регистрация:
    23 май 2016
    Сообщения:
    7
    Симпатии:
    0
    понял, шаблоны поэтому пока обхожу стороной ,понимаю что модули ,могут конфликтовать между собой

    PS: пока работаю над чистой 1.5.5.1.2
     
  9. Dotrox

    Dotrox Команда форума

    Регистрация:
    27 ноя 2012
    Сообщения:
    2.049
    Симпатии:
    777
    Она перспективнее, но не на данный момент, а на будущее. Я рассчитываю, что где-то к версии 2.5 из неё получиться неплохой магазинный фреймворк (в котором не будут работать все или почти все существующие версии модулей под двойку). Среди прочего, я очень надеюсь, что к тому времени из неё выпилят OCMOD за ненадобностью.
     
  10. cherkas

    cherkas

    Регистрация:
    25 фев 2013
    Сообщения:
    335
    Симпатии:
    44

    Рекомендую http://forum.opencart.pro/files/file/31-релиз-ocshopcms-15641/ (скачать там можно после регистрации)

    где то здесь на форуме есть ветка обсуждения этого релиза
     
  11. Dotrox

    Dotrox Команда форума

    Регистрация:
    27 ноя 2012
    Сообщения:
    2.049
    Симпатии:
    777
    И все более-менее профессионалы эту сборку дико матерят.
     
    samuel_L нравится это.
  12. nash2013

    nash2013

    Регистрация:
    16 мар 2013
    Сообщения:
    6
    Симпатии:
    1
    Ну не знаю... я бы выбрал ocstore 2.x. Модулей уже куча и при том, что почти все модули будут разрабатывать непосредственно под эту версию.Более современная, ну и самый главный плюс - адаптивка.
     
  13. 039rus

    039rus

    Регистрация:
    1 дек 2013
    Сообщения:
    20
    Симпатии:
    1
    Я тоже голосовал за адаптивку когда переезжал с 1.5.4 на 2.1.0.2
    В целом все работает хорошо
     
  14. Dotrox

    Dotrox Команда форума

    Регистрация:
    27 ноя 2012
    Сообщения:
    2.049
    Симпатии:
    777
    Мне любопытно, люди, которые выбирают вторую версию из-за адаптивного шаблона, планируют сидеть на дефолтном шаблоне?
    А не дефолтные и для 1.5 уже года 3, как все исключительно адативные.
     
    koshkakogti нравится это.
  15. Максим1983

    Максим1983

    Регистрация:
    23 май 2016
    Сообщения:
    7
    Симпатии:
    0
    Просветите в чем принципиальное отличие адаптивка или неадаптивка?
     
  16. 0micron

    0micron

    Регистрация:
    25 фев 2016
    Сообщения:
    50
    Симпатии:
    5
    Корректное отображение контента, выравненное в зависимости от размера экрана и размера окна браузера пользователя. Это адаптивный.
     
  17. Dotrox

    Dotrox Команда форума

    Регистрация:
    27 ноя 2012
    Сообщения:
    2.049
    Симпатии:
    777
    Адаптивный шаблон перестраивается, чтобы наилучшим образом использовать экран пользователя и не заставлять его прибегать к масштабированию на мобильных устройствах.
     
  18. Максим1983

    Максим1983

    Регистрация:
    23 май 2016
    Сообщения:
    7
    Симпатии:
    0
    Да я думаю это актуально, все больше и больше людей переходят на смартфоны
     
  19. androide

    androide

    Регистрация:
    16 май 2016
    Сообщения:
    3
    Симпатии:
    0
    Однозначно OcStore 1.5.5.1.2 лучше будет. На него и модулей больше, и разных багов меньше. Стабильность - тоже хороший показатель.
     
  20. Leonellka

    Leonellka

    Регистрация:
    6 фев 2016
    Сообщения:
    7
    Симпатии:
    1
    Не выбирайте 1.5.5.1.2, это тупиковая ветвь эволюции. Модулей под нее много, да. Но найти рабочий - большая проблема, да и скачать проблема - ссылки уже битые. Фрилансеров на доработку такого чуда не найти(
     
    hicenko нравится это.